
#include <QApplication>
#include <QMainWindow>

// On the mac, qt5.6, only the currently active window gets the appropriate cursor.
// Un-activated window only display the arrow cursor.

// Note that even  QApplication::setOverrideCursor(cursor()); fails displaying the correct cursor
// when entering an unactive window


class MainWindow : public QMainWindow
{
    //Q_OBJECT
protected:
    void enterEvent(QEvent * _e) {
        qDebug() <<"enter event";
        QApplication::setOverrideCursor(cursor());
    }
    void leaveEvent(QEvent * _event) {
        QApplication::restoreOverrideCursor();
    }
};

int main(int argc, char *argv[])
{
    QApplication app(argc, argv);
    QMainWindow mainWin1;
    mainWin1.setWindowTitle("win1");

    MainWindow mainWin2;
    mainWin2.setWindowTitle("win2");

    mainWin1.setCursor(Qt::SizeAllCursor);
    mainWin1.setWindowTitle("win1");
    mainWin2.setCursor(Qt::OpenHandCursor);

    mainWin1.show();
    mainWin2.show();

    mainWin1.activateWindow();

    return app.exec();
}
